=== examples/.libs/Makefile ===
all clean:
	for d in qmf-console messaging old_api ; do $(MAKE) -C $$d $@ ; done
