=== debian/changelog ===
qpid-cpp (0.16-9ubuntu2) xenial; urgency=medium

  * No-change rebuild for ruby2.3 support.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 16 Mar 2016 10:48:01 +0000

qpid-cpp (0.16-9ubuntu1) xenial; urgency=medium

  * Disable parallel building; the build system seems to contain some race
    conditions that cause build failures with parallel builds.
  * Use RbConfig rather than Config in configure; recent versions of ruby no
    longer have Config.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 28 Dec 2015 13:00:46 +0000

qpid-cpp (0.16-9build1) wily; urgency=medium

  * No-change rebuild against libxqilla6v5

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 11 Aug 2015 14:30:32 +0000

qpid-cpp (0.16-9) unstable; urgency=medium

  * Update package sections to match override.
  * Make libibverbs-dev build-dependency linux-any.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 26 Oct 2014 07:22:52 +0000

qpid-cpp (0.16-8) unstable; urgency=low

  * Add Japanese Debconf translation (closes: #692839).
  * Remove qpidd.sasldb on purge (closes: #715438).
  * Update Standards-Version to 3.9.6 .
  * New maintainer (closes: #757652).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 25 Oct 2014 11:53:58 +0000

qpid-cpp (0.16-7.2) unstable; urgency=medium

  [ gregor herrmann ]
  * Non-maintainer upload.
  * Fix "hardcodes /usr/lib/perl5":
    make debian/libqpid-perl.install executable, and use $Config{vendorarch}
    to get the perl library path
    (Closes: #752808)

 -- Damyan Ivanov <dmn@debian.org>  Mon, 04 Aug 2014 11:56:12 +0000

qpid-cpp (0.16-7.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Import changes from Ubuntu:
    - Fix RC FTBFS with recent gcc (Closes: #713449)
    - Disable building with cman, since cman is deprecated
    - Cherry-pick patch to build against recent boost
    - Drop build-dependency on obsolete libxmltooling5 (Closes: #716737)
  * Build against default ruby (2.0/2.1) (Closes: #735511)
  * Cherry-pick patch from upstream to fix building with format-security.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 30 Apr 2014 00:07:42 +0100

qpid-cpp (0.16-7ubuntu5) trusty; urgency=low

  * Rebuild for Perl 5.18.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 21 Oct 2013 13:44:56 +0100

qpid-cpp (0.16-7ubuntu4) saucy; urgency=low

  * Drop build-dependency on obsolete libxmltooling5 package (closes:
    #716737).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 10 Oct 2013 00:03:54 +0100

qpid-cpp (0.16-7ubuntu3) saucy; urgency=low

  * Disable build 'with-cpg' because it Depends on libcman-dev, which is a
    deprecated library and will be soon be removed from the archive (as part
    of redhat-cluster) support. (Newer upstream releases do not seem to
    have a '--with-cpg' configure option nor support for cman/corosync).
    - debian/rules: Remove '--with-cpg'.
    - debian/control: Drop Build-Dep on libcman-dev, libcorosync-dev, libopenais-dev.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Fri, 26 Jul 2013 12:02:18 -0400

qpid-cpp (0.16-7ubuntu2) saucy; urgency=low

  * Cherry-pick patch from fedora to fix FTBFS with gcc-4.8.
  * Use patch from QPID-4095 to build against Boost FS Version 3.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Fri, 24 May 2013 16:56:12 +0100

qpid-cpp (0.16-7ubuntu1) quantal; urgency=low

  * Merge from Debian, remaining changes: 
    - Disable testsuite due to IPv6 failure see 1016778.

 -- Oussama Bounaim <o.bounaim@gmail.com>  Fri, 28 Sep 2012 09:22:53 +0100

qpid-cpp (0.16-7) unstable; urgency=low

  * Fixes security issue CVE-2012-3467 which may allow bypassing the
    broker authentication mechanism. Closes: #684456.

 -- Cajus Pollmeier <cajus@debian.org>  Fri, 10 Aug 2012 20:39:06 +0200

qpid-cpp (0.16-6ubuntu1) quantal; urgency=low

  * Disable testsuite due to IPv6 failure see 1016778.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Wed, 04 Jul 2012 08:59:42 +0100

qpid-cpp (0.16-6) unstable; urgency=low

  * Included a few additional headers to make the rhmessaging
    module build separately.
  * Move dependencies to ruby 1.8 instead of the automatic 1.9.x
    series. Closes: #676085.
  * Included perl bindings in build.
  * Added lintian overrides for FORTIFY_SOURCE false positives.

 -- Cajus Pollmeier <cajus@debian.org>  Wed, 30 May 2012 17:00:02 +0200

qpid-cpp (0.16-5) unstable; urgency=low

  * Disabled ssl test. Does not run on buildd.

 -- Cajus Pollmeier <cajus@debian.org>  Thu, 24 May 2012 13:08:11 +0200

qpid-cpp (0.16-4) unstable; urgency=low

  * This is a test build to get information about the failing ssl_test.
  * Added '-Wno-error=cast-align' to make it ignore a couple of
    reinterpret_cast statements.
  * Added versioned depends to transitional package. Closes: #674241.
  * Removed -Wformat-security from optimize flags of perl bindings
    because the swig generated code won't compile elseways.

 -- Cajus Pollmeier <cajus@debian.org>  Wed, 23 May 2012 07:42:50 +0200

qpid-cpp (0.16-3) unstable; urgency=low

  * Completely disabled tests to make the autobuilders proceed.
  * Added missing '-Wno-error=cast-qual' to allow build for armel and ia64.
  * Build Perl bindings.
  * Moved copyright to machine readable format.

 -- Cajus Pollmeier <cajus@debian.org>  Sun, 20 May 2012 12:59:25 +0200

qpid-cpp (0.16-2) unstable; urgency=low

  * Disabled ssl test, because of locking problems on some autobuilders.

 -- Cajus Pollmeier <cajus@debian.org>  Sat, 19 May 2012 14:45:47 +0200

qpid-cpp (0.16-1) unstable; urgency=low

  * New upstream release.
  * Upstream release fixes compilation problems on several platforms with
    gcc 4.7. Closes: #670056.
  * Upstream 0.16 is not affected by CVE-2011-3620. Closes: #672124.
  * Fixed CVE-2012-2145.
  * Made autoreconf work after modification of configure.ac.

 -- Cajus Pollmeier <cajus@debian.org>  Wed, 11 Apr 2012 09:38:05 +0200

qpid-cpp (0.14-2.1) unstable; urgency=low

  * Non maintainer upload.

