=== debian/control ===
Source: qpid-cpp
Section: misc
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
Build-Depends: debhelper (>= 8.9.0~), autotools-dev, autoconf (>= 2.61), automake (>= 1.9.6), libtool (>= 1.5.22), libboost-all-dev (>= 1.35), ruby, ruby-dev, uuid-dev, libsasl2-dev, libxqilla-dev (>= 2.0.0), libibverbs-dev [linux-any], librdmacm-dev, libnspr4-dev, libnss3-dev, libssl-dev, sasl2-bin, libxerces-c-dev (>= 2.7.0), swig (>= 1.3.35), python (>= 2.6.6-3~), doxygen, help2man, valgrind [any-i386 any-amd64 arm], zip, procps, libnss3-tools, pkg-config, python-qpid, libperl-dev, dh-autoreconf, dpkg-dev (>= 1.16.1~), chrpath
X-Python-Version: 2.7
Standards-Version: 3.9.6
Homepage: http://qpid.apache.org
Vcs-Git: git://github.com/cajus/qpid-cpp-debian.git
Vcs-Browser: https://github.com/cajus/qpid-cpp-debian

Package: qpidd
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, adduser, libsasl2-modules, sasl2-bin
Replaces: qpid-broker
Conflicts: qpid-broker
Description: enterprise messaging system - AMQP broker
 Apache Qpid is a cross-platform enterprise messaging system which implements
 the Advanced Message Queuing Protocol (AMQP), providing message brokers
 written in C++ and Java, along with clients for C++, Java JMS, .Net, Python,
 and Ruby.
 .
 This package provides the AMQP broker.

Package: qpid-client
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: enterprise messaging system - AMQP client
 Apache Qpid is a cross-platform enterprise messaging system which implements
 the Advanced Message Queuing Protocol (AMQP), providing message brokers
 written in C++ and Java, along with clients for C++, Java JMS, .Net, Python,
 and Ruby.
 .
 This package provides the AMQP client support.

Package: libqmf1
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: multiarch-support
Multi-Arch: same
Description: enterprise messaging system - QMF libraries
 Apache Qpid is a cross-platform enterprise messaging system which implements
 the Advanced Message Queuing Protocol (AMQP), providing message brokers
 written in C++ and Java, along with clients for C++, Java JMS, .Net, Python,
 and Ruby.
 .
 This package provides the Qpid Management Framework libraries.

Package: libqmf-dev
Architecture: any
Section: libdevel
Depends: libqmf1 (= ${binary:Version}), ${misc:Depends}
Suggests: qmfgen
Multi-Arch: same
Description: enterprise messaging system - QMF development files
 Apache Qpid is a cross-platform enterprise messaging system which implements
 the Advanced Message Queuing Protocol (AMQP), providing message brokers
 written in C++ and Java, along with clients for C++, Java JMS, .Net, Python,
 and Ruby.
 .
 This package provides the Qpid Management Framework development files.

Package: libqmf2-1
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: multiarch-support
Multi-Arch: same
Description: enterprise messaging system - QMF2 libraries
 Apache Qpid is a cross-platform enterprise messaging system which implements
 the Advanced Message Queuing Protocol (AMQP), providing message brokers
 written in C++ and Java, along with clients for C++, Java JMS, .Net, Python,
 and Ruby.
 .
 This package provides the QMF2 libraries.

Package: libqmf2-dev
Architecture: any
Section: libdevel
Depends: libqmf2-1 (= ${binary:Version}), ${misc:Depends}
Multi-Arch: same
Suggests: qmfgen
Description: enterprise messaging system - QMF2 development files
 Apache Qpid is a cross-platform enterprise messaging system which implements
 the Advanced Message Queuing Protocol (AMQP), providing message brokers
 written in C++ and Java, along with clients for C++, Java JMS, .Net, Python,
 and Ruby.
 .
 This package provides the QMF2 development files.

Package: libqmfconsole2
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: multiarch-support
Multi-Arch: same
Description: enterprise messaging system - QMF console library
 Apache Qpid is a cross-platform enterprise messaging system which implements
 the Advanced Message Queuing Protocol (AMQP), providing message brokers
 written in C++ and Java, along with clients for C++, Java JMS, .Net, Python,
 and Ruby.
 .
 This package provides the QMF console library.

Package: libqmfconsole2-dev
Architecture: any
Section: libdevel
Depends: libqmfconsole2 (= ${binary:Version}), ${misc:Depends}
Multi-Arch: same
Description: enterprise messaging system - QMF console development files
 Apache Qpid is a cross-platform enterprise messaging system which implements
 the Advanced Message Queuing Protocol (AMQP), providing message brokers
 written in C++ and Java, along with clients for C++, Java JMS, .Net, Python,
 and Ruby.
 .
 This package provides the QMF console development files.

Package: libqpidmessaging2
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: multiarch-support
Multi-Arch: same
Description: enterprise messaging system - AMQP messaging libraries
 Apache Qpid is a cross-platform enterprise messaging system which implements
 the Advanced Message Queuing Protocol (AMQP), providing message brokers
 written in C++ and Java, along with clients for C++, Java JMS, .Net, Python,
 and Ruby.
 .
 This package provides the AMQP messaging libraries.

Package: libqpidmessaging2-dev
Architecture: any
Section: libdevel
Depends: libqpidmessaging2 (= ${binary:Version}), ${misc:Depends}
Multi-Arch: same
Description: enterprise messaging system - AMQP messaging development files
 Apache Qpid is a cross-platform enterprise messaging system which implements
 the Advanced Message Queuing Protocol (AMQP), providing message brokers
 written in C++ and Java, along with clients for C++, Java JMS, .Net, Python,
 and Ruby.
 .
 This package provides the AMQP messaging development files.

Package: libsslcommon2
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: multiarch-support
Multi-Arch: same
Description: enterprise messaging system - common SSL libraries
 Apache Qpid is a cross-platform enterprise messaging system which implements
 the Advanced Message Queuing Protocol (AMQP), providing message brokers
 written in C++ and Java, along with clients for C++, Java JMS, .Net, Python,
 and Ruby.
 .
 This package provides the AMQP SSL libraries.

Package: libsslcommon2-dev
Architecture: any
Section: libdevel
Depends: libsslcommon2 (= ${binary:Version}), ${misc:Depends}, uuid-dev
Multi-Arch: same
Description: enterprise messaging system - common SSL development files
 Apache Qpid is a cross-platform enterprise messaging system which implements
 the Advanced Message Queuing Protocol (AMQP), providing message brokers
 written in C++ and Java, along with clients for C++, Java JMS, .Net, Python,
 and Ruby.
 .
 This package provides the AMQP SSL development files.

Package: librdmawrap2
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: multiarch-support
Multi-Arch: same
Description: enterprise messaging system - RDMA libraries
 Apache Qpid is a cross-platform enterprise messaging system which implements
 the Advanced Message Queuing Protocol (AMQP), providing message brokers
 written in C++ and Java, along with clients for C++, Java JMS, .Net, Python,
 and Ruby.
 .
 This package provides the AMQP Remote Direct Memory Access libraries.

Package: librdmawrap2-dev
Architecture: any
Section: libdevel
Depends: librdmawrap2 (= ${binary:Version}), ${misc:Depends}
Multi-Arch: same
Description: enterprise messaging system - RDMA development files
 Apache Qpid is a cross-platform enterprise messaging system which implements
 the Advanced Message Queuing Protocol (AMQP), providing message brokers
 written in C++ and Java, along with clients for C++, Java JMS, .Net, Python,
 and Ruby.
 .
 This package provides the AMQP Remote Direct Memory Access development files.

Package: libqpidtypes1
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: multiarch-support
Multi-Arch: same
Description: enterprise messaging system - API libraries
 Apache Qpid is a cross-platform enterprise messaging system which implements
 the Advanced Message Queuing Protocol (AMQP), providing message brokers
 written in C++ and Java, along with clients for C++, Java JMS, .Net, Python,
 and Ruby.
 .
 This package provides the AMQP libraries.

Package: libqpidtypes1-dev
Architecture: any
Section: libdevel
Depends: libqpidtypes1 (= ${binary:Version}), ${misc:Depends}
Multi-Arch: same
Description: enterprise messaging system - API development files
 Apache Qpid is a cross-platform enterprise messaging system which implements
 the Advanced Message Queuing Protocol (AMQP), providing message brokers
 written in C++ and Java, along with clients for C++, Java JMS, .Net, Python,
 and Ruby.
 .
 This package provides the AMQP development files.

Package: libqpidcommon2
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: multiarch-support
Multi-Arch: same
Description: enterprise messaging system - common libraries
 Apache Qpid is a cross-platform enterprise messaging system which implements
 the Advanced Message Queuing Protocol (AMQP), providing message brokers
 written in C++ and Java, along with clients for C++, Java JMS, .Net, Python,
 and Ruby.
 .
 This package provides the common AMQP libraries.

Package: libqpidcommon2-dev
Architecture: any
Section: libdevel
Depends: libqpidcommon2 (= ${binary:Version}), ${misc:Depends}
Multi-Arch: same
Description: enterprise messaging system - common development files
 Apache Qpid is a cross-platform enterprise messaging system which implements
 the Advanced Message Queuing Protocol (AMQP), providing message brokers
 written in C++ and Java, along with clients for C++, Java JMS, .Net, Python,
 and Ruby.
 .
 This package provides the common AMQP development files.

Package: libqpidclient2
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: multiarch-support
Multi-Arch: same
Description: enterprise messaging system - client libraries
 Apache Qpid is a cross-platform enterprise messaging system which implements
 the Advanced Message Queuing Protocol (AMQP), providing message brokers
 written in C++ and Java, along with clients for C++, Java JMS, .Net, Python,
 and Ruby.
 .
 This package provides the AMQP client libraries.

Package: libqpidclient2-dev
Architecture: any
Section: libdevel
Depends: libqpidclient2 (= ${binary:Version}), ${misc:Depends}
Multi-Arch: same
Description: enterprise messaging system - client development files
 Apache Qpid is a cross-platform enterprise messaging system which implements
 the Advanced Message Queuing Protocol (AMQP), providing message brokers
 written in C++ and Java, along with clients for C++, Java JMS, .Net, Python,
 and Ruby.
 .
 This package provides the AMQP client development files.

Package: libqpidbroker2
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: multiarch-support
Multi-Arch: same
Description: enterprise messaging system - broker libraries
 Apache Qpid is a cross-platform enterprise messaging system which implements
 the Advanced Message Queuing Protocol (AMQP), providing message brokers
 written in C++ and Java, along with clients for C++, Java JMS, .Net, Python,
 and Ruby.
 .
 This package provides the AMQP broker libraries.

Package: libqpidbroker2-dev
Architecture: any
Section: libdevel
Depends: libqpidbroker2 (= ${binary:Version}), ${misc:Depends}
Multi-Arch: same
Description: enterprise messaging system - broker development files
 Apache Qpid is a cross-platform enterprise messaging system which implements
 the Advanced Message Queuing Protocol (AMQP), providing message brokers
 written in C++ and Java, along with clients for C++, Java JMS, .Net, Python,
 and Ruby.
 .
